<template>
  <path
    d="m152.16 16.607c-0.99013-0.0027-1.9817 0.01112-2.9766 0.04492-5.4214 0.1842-10.904 0.91289-16.379 2.2246-42.855 10.267-70.052 52.797-61.642 95.651 1.3779 4.9422 3.4496 13.905 4.4849 20.55 0 0 12.252-11.612 17.323-16.886h2e-3c-7.2-27.2 26.323-43.313 39.822-47.479 18.639-5.8833 40.572-11.93 58.344-12.814l6e-3 0.02148c0.34283-0.03025 0.71855-0.05216 1.1191-0.06836 0.0133-5.36e-4 0.0238-0.0014 0.0371-2e-3 0.01-3.61e-4 0.0196 3.59e-4 0.0293 0 5.6091-0.21363 16.444 1.0158 24.021 5.6055 0.22428 0.41223 3.1573 2.3959 3.1573 2.3959l5.8286-1.6715s0.29117-1.1803-0.41353-2.574c-13.853-27.412-42.07-44.914-72.764-44.998z"
    :fill="props.color"
  />
</template>

<script lang="ts" setup>
const props = defineProps<{
  color: string
}>()
</script>
